from django.conf.urls import url, include, patterns

from acomea.fondi.cms.views import FundDetailView, FundAnalysisView, FundYieldsView, ajax_fund_diary_load
from acomea.fondi.cms.views import AndamentoView, SerieStoricaView, RendimentiAnnuiView, GraficoView
from acomea.fondi.cms.views import ClassiAttivitaView, TitoliView, RatingView, ValuteView, SettoriView
from acomea.fondi.cms.views import PrincipaliPaesiView, ScadenzaView, AreeGeograficheView
from acomea.fondi.cms.views import DiaryDetailView, DiaryDetailViewModal
from acomea.fondi.cms.views import ModalitaPartecipazioneView, SpeseCommissioniView

urlpatterns = patterns(
    '',
    # url(
    #     r'^(?P<slug>[-\w]+)/$', FundDetailView.as_view(),
    #     name="fund_fund_detail"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/modalita-di-partecipazione/$', ModalitaPartecipazioneView.as_view(),
    #     name="fund_fund_modalita_partecipazione"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/commissioni-e-spese/$', SpeseCommissioniView.as_view(),
    #     name="fund_fund_spese_commissioni"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/$', ClassiAttivitaView.as_view(),
    #     name="fund_fund_analysis"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/classi-di-attivita/$', ClassiAttivitaView.as_view(),
    #     name="fund_fund_classi_di_attivita"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/titoli/$', TitoliView.as_view(),
    #     name="fund_fund_titoli"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/rating/$', RatingView.as_view(),
    #     name="fund_fund_rating"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/valute/$', ValuteView.as_view(),
    #     name="fund_fund_valute"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/principali-paesi/$', PrincipaliPaesiView.as_view(),
    #     name="fund_fund_principali_paesi"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/scadenza/$', ScadenzaView.as_view(),
    #     name="fund_fund_scadenza"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/aree-geografiche/$', AreeGeograficheView.as_view(),
    #     name="fund_fund_aree_geografiche"
    #
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/analisi-portafoglio/settori/$', SettoriView.as_view(),
    #     name="fund_fund_settori"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/$', AndamentoView.as_view(),
    #     name="fund_fund_yields"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/andamento/$', AndamentoView.as_view(),
    #     name="fund_fund_andamento"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/serie-storica/$', SerieStoricaView.as_view(),
    #     name="fund_fund_serie_storica"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/rendimenti-annui/$', RendimentiAnnuiView.as_view(),
    #     name="fund_fund_rendimenti_annui"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/grafico/$', GraficoView.as_view(),
    #     name="fund_fund_grafico"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/andamento/(?P<classe>[-\w]+)/$', AndamentoView.as_view(),
    #     name="fund_fund_andamento_classe"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/serie-storica/(?P<classe>[-\w]+)/$', SerieStoricaView.as_view(),
    #     name="fund_fund_serie_storica_classe"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/rendimenti-annui/(?P<classe>[-\w]+)/$', RendimentiAnnuiView.as_view(),
    #     name="fund_fund_rendimenti_annui_classe"
    # ),
    # url(
    #     r'^(?P<slug>[-\w]+)/rendimenti-quote/grafico/(?P<classe>[-\w]+)/$', GraficoView.as_view(),
    #     name="fund_fund_grafico_classe"
    # ),
    url(
        r'^(?P<slug>[-\w]+)/$', DiaryDetailView.as_view(),
        name="fund_diary_detail"
    ),
    url(
        r'^modal/(?P<slug>[-\w]+)/$', DiaryDetailViewModal.as_view(),
        name="fund_diary_detail_modal"
    ),
)
