# -*- coding: utf-8 -*-

FONDI_FUND_CLASSI_LIST = (
    'a1', 'a2', 'p1', 'p2', 'q2', 'c1', 'c2', 'a5', 'p5'
)

FONDI_CHOICES_REPRESENTATION = (
    ('torta', 'Torta'),
    ('linee', 'Linee'),
    ('entrambi', 'Entrambi')
)

FONDI_OAUTHTOKENS = {
    "MO" : {
    "token": "1168919035-GD0R7ojz63BfWFaiDacmFuDJiyxeneo5k2Pxfqi",
    "token_secret": "ZgycQUt45V4nupmvNxf8TSKgGbkfNflmEojmZLyUJY",
    "consumer_key": "7DJPvpun4nx8KQv7d17vg",
    "consumer_secret": "GcHUlhDxGyhB199eBAxgTB0JB2OE7euTPt972PmdlA"},
}

FONDI_NOT_COMPATIBLE_CLIENTS = ('MSIE 6', 'MSIE 7')

FONDI_CMSPLUGINS_FUND_TEMPLATES = (
    ("fondi/cms_plugins/fondi_fund_list.html", "Funds list",),
    ("fondi/cms_plugins/fondi_fund_twitter_follow.html", "Funds Twitter Follow",),
    ("fondi/cms_plugins/fondi_fund_detail.html", "Fund detail",),
)

FONDI_CMSPLUGINS_TWEET_TEMPLATES = (
    ("fondi/cms_plugins/fondi_tweet_list.html", "Tweet list",),
)

FONDI_CMSPLUGINS_DIARY_TEMPLATES = (
    ("fondi/cms_plugins/fondi_diary_list.html", "Diary list",),
    ("bootstrap3/fondi/cms_plugins/fondi_diary_list.html", "B3 - Diary list",),
    ("fondi/cms_plugins/fondi_diary_sidebar.html", "Diary sidebar",),
)

FONDI_CMSPLUGINS_FUNDCATEGORIES_TEMPLATES = (
    ("fondi/cms_plugins/fondi_fundcategory_list.html", "Fund category list",),
    ("fondi/cms_plugins/fondi_fundcategory_select.html", "Fund category select",),
    ("bootstrap3/fondi/cms_plugins/fondi_fundcategory_select.html", "B3 - Fund category select",),
)

FONDI_CMSPLUGINS_ASSETMANAGEMENT_TEMPLATES = (
    ("fondi/cms_plugins/fondi_assetmanagement_list.html", "Asset management list",),
)

FONDI_CMSPLUGINS_ASSETMANAGEMENT_CHOICHES = (
    ('GP_FONDI', 'G.P. Fondi'),
    ('GP_MOBILIARI', 'G.P. Mobiliari'),
)
FONDI_CMSPLUGINS_DIARY_SETTINGS_TEMPLATES = (
    ("bootstrap3/fondi/cms_plugins/fund_diary.html", "Fund diary",),
)

FONDI_INIT_DATA = {
    'MO': {
        'nome': 'Fondi Monetari',
        'fondi': {
            'SO': {
                'nome': 'ACOMEA 12 MESI'
            },
            'LI': {
                'nome': 'ACOMEA BREVE TERMINE'
            },
        }
    },
    'FO': {
        'nome': 'Fondi Obbligazionari',
        'fondi': {
            'OB': {
                'nome': 'ACOMEA EUROBBLIGAZIONARIO'
            },
            'OC': {
                'nome': 'ACOMEA OBBLIGAZIONARIO CORPORATE'
            },
            'MO': {
                'nome': 'ACOMEA PERFORMANCE'
            },
        }
    },
    'FF': {
        'nome': 'Fondi Flessibili',
        'fondi': {
            'LP': {
                'nome': 'ACOMEA PATRIMONIO PRUDENTE'
            },
            'LD': {
                'nome': 'ACOMEA PATRIMONIO DINAMICO'
            },
            'LA': {
                'nome': 'ACOMEA PATRIMONIO AGGRESSIVO'
            },
            'BI': {
                'nome': 'ACOMEA FONDO ETF ATTIVO'
            },
        }
    },
    'FA': {
        'nome': 'Fondi Azionari',
        'fondi': {
            'EM': {
                'nome': 'ACOMEA PAESI EMERGENTI'
            },
            'IT': {
                'nome': 'ACOMEA ITALIA'
            },
            'GL': {
                'nome': 'ACOMEA GLOBALE'
            },
            'EU': {
                'nome': 'ACOMEA EUROPA'
            },
            'PA': {
                'nome': 'ACOMEA ASIA PACIFICO'
            },
            'AM': {
                'nome': 'ACOMEA AMERICA'
            },
        }
    },
}

FONDI_FUND_CURRENCY_CHOICES = (
    ('E', 'Euro',),
    ('D', 'Dollaro',),
)

FONDI_CMSPLUGIN_LISTACATEGORIA_TEMPLATES = (
    ('bootstrap3/fondi/cms_plugins/lista_categoria_fondi.html', 'lista categoria fondi'),
)
FONDI_CMSPLUGIN_SCHEDATECNICA_TEMPLATES = (
    ('bootstrap3/fondi/cms_plugins/scheda_tecnica.html', 'scheda tecnica'),
)
FONDI_CMSPLUGIN_SCHEDAPRODOTTO_TEMPLATES = (
    ('bootstrap3/fondi/cms_plugins/fund_scheda_prodotto_form.html', 'scheda prodotto'),
)
FONDI_CMSPLUGIN_ANALISIPORTAFOGLIO_TEMPLATES = (
    ('bootstrap3/fondi/cms_plugins/analisi_portafoglio.html', 'analisi portafoglio'),
)
FONDI_CMSPLUGIN_RENDIMENTIQUOTE_TEMPLATES = (
    ('bootstrap3/fondi/cms_plugins/rendimenti_quote.html', 'rendimenti e quote'),
)
FONDI_CMSPLUGIN_FUND_DETAIL_TEMPLATES = (
    ('bootstrap3/fondi/cms_plugins/fund_detail.html', 'dettaglio fondo'),
    ("gimme5/fondi/cms_plugins/fund_detail.html", "gimme5 dettaglio fondo",),
)

# HIGHCHARTS
FONDI_GRAPH_DATASET_PIE = {
    'chart': {
        'renderTo': 'container-pie',
        'type': 'pie'
    },
    'title': {'text': None},
    'subtitle': {'text': None},
    'xAxis': {'categories': None},
    'yAxis': {
        'min': 0,
        'title': {
            'text': 'Valore',
            'align': 'high'
        },
        'labels': {
            'overflow': 'justify'
        }
    },
    'plotOptions': {
        'pie': {
            'dataLabels': {
                'enabled': True
            }
        },
        'series': {
            'dataLabels': {
                'enabled': True,
                "format": '{y:.2f}'
            }
        }
    },
    'tooltip': {'valueDecimals': 2},
    'legend': {
        'layout': 'vertical',
        'align': 'right',
        'verticalAlign': 'top',
        'x': 0,
        'y': 0,
        'floating': True,
        'borderWidth': 1,
        'backgroundColor': '#FFFFFF',
        'shadow': True
    },
    'credits': {'enabled': False},
    'series': [{
        'name': 'fondo',
        'data': "[['Firefox',   45.0], ['IE',       26.8],]",
        'color': '#F15A22'
    }]
}

FONDI_GRAPH_DATASET_BAR = {
    'chart': {
        'renderTo': 'container-bar',
        'type': 'bar'
    },
    'title': {'text': None},
    'subtitle': {'text': None},
    'xAxis': {'categories': None},
    'yAxis': {
        'min': 0,
        'title': {
            'text': 'Valore',
            'align': 'high'
        },
        'labels': {
            'overflow': 'justify'
        }
    },
    'plotOptions': {
        'bar': {
            'dataLabels': {
                'enabled': True,
            }
        },
        'series': {
            'dataLabels': {
                'enabled': True,
                "format": '{y:.2f}'
            }
        }
    },
    'tooltip': {'valueDecimals': 2},
    'legend': {
        'layout': 'vertical',
        'align': 'right',
        'verticalAlign': 'top',
        'x': 0,
        'y': 0,
        'floating': True,
        'borderWidth': 1,
        'backgroundColor': '#FFFFFF',
        'shadow': True
    },
    'credits': {'enabled': False},
    'series': [{
        'name': 'fondo',
        'data': None,
        'color': '#F15A22'
    }]
}

FONDI_GRAPH_DATASET_LINE = {
    'chart': {
        'renderTo': 'container-line',
        'type': 'line',
        'zoomType': 'x',
        'width': 560,
        'resetZoomButton': {
            'position': {
                'x': -15,
                'y': 15
            },
            'relativeTo': 'plot'
        }
    },
    'title': {'text': 'Andamento'},
    'subtitle': {'text': None},
    'xAxis': {
        'id': 'x-axis',
        'type': 'datetime',
        'title': {'text': None},
        'dateTimeLabelFormats': {'month': '%b \'%y'},
        'tickInterval': 30,
    },
    'yAxis': {
        'title': {
            'text': 'Valore',
        },
        'min': None,
        'max': None
    },
    'tooltip': {
        'crosshairs': True,
        'shared': True
    },
    'plotOptions': {
        'line': {
            'lineWidth': 1,
            'marker': {
                'enabled': False
            },
            'shadow': False
        }
    },
    'credits': {'enabled': False},
}
