# -*- coding: utf-8 -*-

from django import template

register = template.Library()


@register.filter(name='get_div_title_fondi_span_size')
def get_div_title_fondi_span_size(phrase):
    max_word_length = max(len(word) for word in phrase.split(" "))
    return 3 if max_word_length < 18 else 6


@register.filter(name='get_data_item')
def get_data_item(data, key):
    return data.get(key)
