# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items

from jmb.core.admin.menu import register_menu


menu_item = items.MenuItem(
    # GENERAL
    _('Fund'),
    reverse('admin:app_list', kwargs={'app_label': 'fondi'}),
    children=[
        items.MenuItem(
            _('Fund'),
            '',
            children=[
                items.MenuItem(_('Fund List'), reverse('admin:fondi_fund_changelist',)),
                items.MenuItem(_('FundCategory List'), reverse('admin:fondi_fundcategory_changelist',)),
            ]
        ),
    ]
)


register_menu(menu_item, 'acomea.fondi')
