# -*- coding: utf-8 -*-

from django.conf.urls import url, patterns
from . import views


urlpatterns = patterns(
    '',
    url(r'^xset-select-fondi/$', 'acomea.fondi.views.xset_select_fondi', name='xset-select-fondi'),
    url(r'^load-lista-fondi/$', 'acomea.fondi.views.load_lista_fondi', name='load-lista-fondi'),
    url(r'^get_grafico_fondo_data/$', 'acomea.fondi.api_views.get_grafico_fondo_data'),
    # url(r'^fund_diary_load/$', ajax_fund_diary_load,name="fund_diary_pagination"),
    url(
        r'^dettaglio-fondo/scheda-tecnica/(?P<fund_id>\d+)/$',
        views.SchedaTecnicaTemplateView.as_view(),
        name='scheda_tecnica',
    ),
    url(
        r'^dettaglio-fondo/analisi-portafoglio/(?P<fund_id>\d+)/$',
        views.AnalisiPortafoglioTemplateView.as_view(),
        name='analisi_portafoglio',
    ),
    url(
        r'^dettaglio-fondo/rendimenti-quote/(?P<fund_id>\d+)/$',
        views.RendimentiQuoteTemplateView.as_view(),
        name='rendimenti_quote',
    ),
    url(
        r'^dettaglio-fondo/rendimenti-quote/(?P<fund_id>\d+)/(?P<classe>[-\w]+)/$',
        views.RendimentiQuoteClasseTemplateView.as_view(),
        name='rendimenti_quote_classe',
    ),
)